D4Science Infrastructure - Upgrade #11551

Regional-data-collection-portlet patch on production Gateways
Mar 28, 2018 02:19 PM - Massimiliano Assante

Status: Completed Start date: Mar 28, 2018
Priority: Urgent Due date: Mar 28, 2018
Assignee: Massimiliano Assante % Done: 100%
Target version: UnSprintable

Infrastructure: Production

Description

CITE/UoA in the context of BlueBRIDGE WP5 RDB asked to deploy this patch on production asap to fix the incident #11459

History

#1 - Mar 28, 2018 02:19 PM - Massimiliano Assante

- Description updated

#3 - Mar 28, 2018 02:20 PM - Massimiliano Assante

- Priority changed from Normal to Urgent

#4 - Mar 28, 2018 02:21 PM - Massimiliano Assante
Vassilis Floros wrote:
| submitted a remote build against 4.10. You can download the war from here:

http:/etics.esl.eng.it/etics-repository-ws/download/volatile/org.gcube.4-10-0/org.gcube/org.gcube.portlets-admin.regional-data-collection-portlet/2.0.0/
centos6.9 x86_64_gccd47/org.gcube.portlets-admin.regional-data-collection-portlet-2.0.0-SNAPSHOT .tar.gz

#5 - Mar 28, 2018 02:23 PM - Massimiliano Assante

- Status changed from Planned to In Progress

#6 - Mar 28, 2018 02:46 PM - Massimiliano Assante
- % Done changed from 0 to 100

The portlet was hot deployed successfully but it returns an error: Persistence error on UserReference creation

fc-firms/r

here's the log.

[PORTAL] 1277668512 [http-bio-9090-exec-194] INFO gr.cite.bluebridge.endpoint.EndpointManager - Initiliazing
Endpoint Manager with refresh interval 180 minutes

[PORTAL] 1277668513 [http-bio-9090-exec—-194] INFO gr.cite.bluebridge.endpoint.EndpointManager - Returned 1 se
rvice endpoint (s)

Perhaps requires web server restart? @vfloros@cite.gr @dkatris@di.uoa.gr

#7 - Mar 28, 2018 03:31 PM - Vassilis Floros

I think you are viewing this error in the Ul. Please, can you clear your cahce and refresh the page? Does it appear again?
We are performing tests on the portlet right, now. It seems to work fine but give us some more time to repeat the whole process 2 or 3 times and
confirm everything is OK.

#8 - Mar 29, 2018 05:15 PM - Vassilis Floros

The issue that caused the error to appear in the Ul is resolved.
The service was redeployed, the portlet was tested again and it works as required.

Thank you for the collaboration.

#9 - Mar 29, 2018 05:17 PM - Massimiliano Assante
- Status changed from In Progress to Completed
